#ifndef DCCD_MODE_BTN_H_
#define DCCD_MODE_BTN_H_

/**** Includes ****/
#include <stdint.h>
#include "dccd_hw.h"

namespace dccd {

/**** Public definitions ****/
class ModeBtn
{
	public:	
	ModeBtn(void);
	~ModeBtn(void);
	
	void init(dccd::DccdHw* dccd_hw);
	void cfg_debounce(uint16_t dbnc_time);
	
	uint16_t btn_repeat_time;
	
	uint8_t is_new;
	
	void process(void);

	#ifdef TESTING
	protected:
	#endif
	dccd::DccdHw* hardware;
};

/**** Public function declarations ****/

#ifdef TESTING
#endif

} //namespace

#endif /* DCCD_MODE_BTN_H_ */